Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class OrderedHashtable

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.autonomy.utilities.OrderedHashtable

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class OrderedHashtable
extends java.util.Hashtable

Exactly the same as java.util.Hashtable except the keys() method returns the elements in the order they were inserted in the Hashtable

See Also:
  `Hashtable`, Serialized Form

Constructor Summary
`OrderedHashtable()` Constructor.

Method Summary
`java.util.Enumeration` | `keys()` Returns an enumeration of elements, in the same order that they were inserted into the hashtable.
`java.lang.Object` | `put(java.lang.Object name, java.lang.Object value)` Adds an element to the Hashtable
`java.lang.Object` | `remove(java.lang.Object name)` Removes an element from the Hashtable

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderedHashtable

    public OrderedHashtable()

  Constructor. Takes no other action other than calling the constructor for the Hashtable class.

Method Detail

### put

    public java.lang.Object put(java.lang.Object name,
                                java.lang.Object value)

  Adds an element to the Hashtable

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.Hashtable`
  See Also:
    `Hashtable`

### remove

    public java.lang.Object remove(java.lang.Object name)

  Removes an element from the Hashtable

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.Hashtable`
  See Also:
    `Hashtable`

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of elements, in the same order that they were inserted into the hashtable.

  Overrides:
    `keys` in class `java.util.Hashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD